package com.huashe.park.infrastructure.cfg.forest;

import com.dtflys.forest.annotation.BindingVar;
import com.dtflys.forest.reflection.ForestMethod;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "forest.custom")
public class CustomForestCfg {
    private String holiday;

    @Autowired
    private UWBCfg uwbCfg;

    @BindingVar("uwbBaseUrl")
    public String getBaseUrl(ForestMethod method) {
        return uwbCfg.getUwbHost();
    }

    @BindingVar("holidayBaseUrl")
    public String getHolidayBaseUrl(ForestMethod method) {
        return holiday;
    }

}
